/*
 * Move.cpp
 *
 *  Created on: 18. 12. 2019
 *	  Author: Jan Travnicek
 */

#include "Move.h"

#include <registration/AlgoRegistration.hpp>

namespace {

auto move = ext::Register < void > ( [ ] ( ) {
		abstraction::AlgorithmRegistry::registerRaw < cli::builtin::Move > ( cli::builtin::Move::move, ext::pair < std::string, abstraction::ParamQualifiers::ParamQualifierSet > { "auto", abstraction::ParamQualifiers::ParamQualifierSet::RREF }, ext::vector < ext::tuple < std::string, abstraction::ParamQualifiers::ParamQualifierSet, std::string > > { { "auto", abstraction::ParamQualifiers::ParamQualifierSet::LREF, "arg0" } } );
	}, [ ] ( ) {
		abstraction::AlgorithmRegistry::unregisterRaw < cli::builtin::Move > ( ext::vector < ext::tuple < std::string, abstraction::ParamQualifiers::ParamQualifierSet > > { { "auto", abstraction::ParamQualifiers::ParamQualifierSet::LREF } } );
	} );

} /* namespace */
